{% extends 'admin/base_admin.html.twig' %}

{% block title %}Groups{% endblock %}

{% block breadcrumbs %}
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="{{ path('admin.products') }}">Home</a></li>
        <li class="breadcrumb-item active">Brands</li>
    </ol>
{% endblock %}

{% block body %}

    <div class="card">
        <div class="card-body">
            <div class="controls">
                <a href="{{ path('admin.brands.create') }}" class="btn btn-success">Add brand</a>
            </div>
        </div>
    </div>

    <div class="card">
        <div class="card-body">

            <div class="box">
                <table class="table table-bordered table-hover">
                    <thead>
                    <tr>
                        <th>Name</th>
                        <th>Products</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    {% set token = csrf_token('delete') %}
                    {% for brand in brands %}
                        <tr>
                            <td>
                                <a href="{{ path('admin.brands.show', {'id': brand.id}) }}">{{ brand.name }}</a>
                            </td>
                            <td>
                                {% if brand.products %}
                                    <a href="{{ path('admin.products', {'form': {'brand': brand.id}}) }}">{{ brand.products }}</a>
                                {% else %}
                                    {{ brand.products }}
                                {% endif %}
                            </td>
                            <td>
                                <div class="d-flex flex-row">
                                    <form action="{{ path('admin.brands.delete', {'id': brand.id}) }}" method="post" onsubmit="return confirm('Are you sure?')">
                                        <a href="{{ path('admin.brands.edit', {'id': brand.id}) }}" class="btn btn-sm btn-primary mr-1"><span class="fa fa-pencil"></span></a>
                                        <input type="hidden" name="token" value="{{ token }}"/>
                                        <button type="submit" class="btn btn-sm btn-danger"><span
                                                    class="fa fa-trash"></span>
                                        </button>
                                    </form>
                                </div>
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>

{% endblock %}